include	clib.inc
include	wchar.inc

DPROC	@wcenter
	push	ds
	push	si
	push	di
	push	dx
	push	cx
	push	bx
	push	cx
	call	@wcpath
	test	ax,ax
	pop	ax
	jz	wcenter_01
	sub	ax,cx
	and	al,not 1
	add	di,ax
    wcenter_00:
	movsb
	inc	di
	dec	cx
	jnz	wcenter_00
    wcenter_01:
	pop	bx
	pop	cx
	pop	dx
	pop	di
	pop	si
	pop	ds
	ret
PEND	@wcenter

	END
